%define major 		20
%define pangomajor	20
%define gi_major	1.0
%define gi_major2	2.0

%define libname		%mklibname %{name} %{major}
%define libname_pango	%mklibname %{name}-pango %{pangomajor}
%define develname 	%mklibname -d %{name}
%define girname 	%mklibname %{name}-gir %{gi_major}
%define girname_pango	%mklibname %{name}-pango-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		cogl
Version:	1.18.0
Release:	%mkrel 1
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.clutter-project.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#------------------------------------------------------------
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pango1.0_0-modules
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xdamage-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: gtk-doc
#------------------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

#--------------------------------------------------------------------
%files
%defattr(-, root, root)
%{_libdir}/libcogl.so.%{major}*
%{_libdir}/libcogl-pango.so.%{pangomajor}*
%{_libdir}/libcogl-path.so.%{major}*
%{_libdir}/girepository-1.0/Cogl-%{gi_major}.typelib
%{_libdir}/girepository-1.0/Cogl-%{gi_major2}.typelib
%{_libdir}/girepository-1.0/CoglPango-%{gi_major}.typelib
%{_libdir}/girepository-1.0/CoglPango-%{gi_major2}.typelib
%{_datadir}/locale
#--------------------------------------------------------------------

%package devel
Summary:	%{name} development environment
Group:		Development/Libraries
Obsoletes:	cogl-devel < %version
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}


%description devel
Header files and libraries for building and developing apps with %{name}.

%files devel
%defattr(-, root, root)
%doc NEWS README ChangeLog
%{_includedir}/cogl
%{_libdir}/libcogl*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Cogl*-%{gi_major}.gir
%{_datadir}/gir-1.0/Cogl*-%{gi_major2}.gir

#--------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Documentation 
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
This package contains documentation for %{name}.

%files doc
%defattr(-, root, root)
#%{_datadir}/gtk-doc/html

#--------------------------------------------------------------------

%prep
%setup -q

%build
CFLAGS="%{optflags} -fPIC"

%configure2_5x --enable-gtk-doc=no

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove examples
rm -rf %{buildroot}%{_datadir}/%{name}/examples-data/

#Remove libtool archives.
find %{buildroot} -name "*.la" -delete

%find_lang %{name}


%clean
rm -rf %{buildroot}


%changelog
* Tue Apr 15 2014 bb <bb> 1.18.0-1pclos2014
- update

* Tue Feb 04 2014 bb <bb> 1.16.2-1pclos2014
- update
- drop patch0 merged upstream
- adjust BR

* Wed Dec 25 2013 bb <bb> 1.16.0-2pclo2013
- apply patch

* Fri Oct 18 2013 bb <bb> 1.16.0-1pclos2013
- re-import into pclos for cinnamon
